=== ns-3.35/src/mpi/examples/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-

def build(bld):
    obj = bld.create_ns3_program('simple-distributed',
                                 ['mpi', 'point-to-point', 'internet', 'nix-vector-routing', 'applications'])
    obj.source = ['simple-distributed.cc', 'mpi-test-fixtures.cc']
    
    obj = bld.create_ns3_program('simple-distributed-empty-node',
                                 ['mpi', 'point-to-point', 'internet', 'nix-vector-routing', 'applications'])
    obj.source = ['simple-distributed-empty-node.cc', 'mpi-test-fixtures.cc']

    obj = bld.create_ns3_program('simple-distributed-mpi-comm',
                                 ['point-to-point', 'internet', 'nix-vector-routing', 'applications'])
    obj.source = ['simple-distributed-mpi-comm.cc', 'mpi-test-fixtures.cc']

    obj = bld.create_ns3_program('third-distributed',
                                 ['mpi', 'point-to-point', 'internet', 'mobility', 'wifi', 'csma', 'applications'])
    obj.source = ['third-distributed.cc', 'mpi-test-fixtures.cc']

    obj = bld.create_ns3_program('nms-p2p-nix-distributed',
                                 ['mpi', 'point-to-point', 'internet', 'nix-vector-routing', 'applications'])
    obj.source = ['nms-p2p-nix-distributed.cc', 'mpi-test-fixtures.cc']
