=== debian/control ===
Source: ns3
Section: net
Priority: optional
Standards-Version: 4.6.0
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Martin Quinson <mquinson@debian.org>
Uploaders: YunQiang Su <syq@debian.org>
Build-Depends:
 bison,
 debhelper-compat (= 13),
 dh-exec (>= 0.13),
 dh-python,
 dpkg (>= 1.16.1),
 flex,
 jdupes,
 libboost-filesystem-dev,
 libgsl-dev,
 libopenmpi-dev [alpha amd64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc sparc],
 libsqlite3-dev,
 libxml2-dev,
 pkg-config,
 python3-dev,
 gir1.2-goocanvas-2.0,
 python3-gi,
 python3-gi-cairo,
 python3-pygraphviz,
 gir1.2-gtk-3.0,
Build-Depends-Indep:
 libgraphviz-dev,
 quilt (>= 0.46-7~),
 ipython3,
 dia,
 dvipng,
 ghostscript,
 imagemagick,
 python3-sphinx,
 texlive-font-utils,
 texlive-latex-extra,
 texlive-latex-base,
 texlive-latex-recommended,
Build-Conflicts:
 libmpich2-dev,
Vcs-Browser: https://salsa.debian.org/debian/ns3
Homepage: https://www.nsnam.org/
Vcs-Git: https://salsa.debian.org/debian/ns3.git

Package: ns3
Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips64el powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: discrete-event network simulator for Internet systems
 ns-3 is a discrete-event network simulator for Internet systems,
 targeted primarily for research and educational use.
 ns-3 is free software, licensed under the GNU GPLv2 license,
 and is publicly available for research, development, and use.
 ns-3 is intended as an eventual replacement for the popular
 ns-2 simulator. The project acronym “nsnam” derives
 historically from the concatenation of ns (network simulator)
 and NAM (network animator).
 .
 This package contains several utilities. The files for development
 are in libns3-3, libns3-dev and python3-ns3.

Package: ns3-doc
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery, libjs-sphinxdoc
Section: doc
Description: documentation for ns3
 ns-3 is a discrete-event network simulator for Internet systems,
 targeted primarily for research and educational use.
 ns-3 is free software, licensed under the GNU GPLv2 license,
 and is publicly available for research, development, and use.
 ns-3 is intended as an eventual replacement for the popular
 ns-2 simulator. The project acronym “nsnam” derives
 historically from the concatenation of ns (network simulator)
 and NAM (network animator).
 .
 This package contains manual, modules, tutorial and doxygen.

Package: libns3-3v5
Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips64el powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: libs
Description: shared libraries of ns-3
 ns-3 is a discrete-event network simulator for Internet systems,
 targeted primarily for research and educational use.
 ns-3 is free software, licensed under the GNU GPLv2 license,
 and is publicly available for research, development, and use.
 ns-3 is intended as an eventual replacement for the popular
 ns-2 simulator. The project acronym “nsnam” derives
 historically from the concatenation of ns (network simulator)
 and NAM (network animator).
 .
 This package contains shared libraries.

Package: libns3-dev
Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips64el powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
Depends: ${shlibs:Depends}, ${misc:Depends}, libns3-3v5 (= ${binary:Version}),
  g++,
  libopenmpi-dev,
Breaks: ns3 (= 3.25+dfsg2-2)
Section: libdevel
Description: Static and header files of ns-3
 ns-3 is a discrete-event network simulator for Internet systems,
 targeted primarily for research and educational use.
 ns-3 is free software, licensed under the GNU GPLv2 license,
 and is publicly available for research, development, and use.
 ns-3 is intended as an eventual replacement for the popular
 ns-2 simulator. The project acronym “nsnam” derives
 historically from the concatenation of ns (network simulator)
 and NAM (network animator).
 .
 This package contains static libraries, header files.

Package: python3-ns3
Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips64el powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
  python3-pygraphviz
Section: python
Suggests: tcpdump
Breaks: python-ns3
Description: Python binding of ns3
 ns-3 is a discrete-event network simulator for Internet systems,
 targeted primarily for research and educational use.
 ns-3 is free software, licensed under the GNU GPLv2 license,
 and is publicly available for research, development, and use.
 ns-3 is intended as an eventual replacement for the popular
 ns-2 simulator. The project acronym “nsnam” derives
 historically from the concatenation of ns (network simulator)
 and NAM (network animator).
 .
 This package contains Python binding of ns3.
